
#include "GcGraphicItem.h"


typedef GcObjectList<GcLogicPalette> PalObjList;

static PalObjList palObjList("palete", "pal");


GcLogicPalette::GcLogicPalette(const char* const name):
  GcObject(0, name, &palObjList)
{
}


GcLogicPalette pal1("p1");

void* pl_addr()
{
  return &pal1;
}

GC_OBJ_MON_DEFINE(GcLogicPalette)



typedef GcObjectList<GcGraphicItem> GraphicItemsList;

static GraphicItemsList itemsObjList("itmes", "items");


GcGraphicItem::GcGraphicItem(const char *name):
  GcObject(0, name, &itemsObjList)
{
}

void GcGraphicItem::recalculate()
{
}

void GcGraphicItem::draw(const GcPaintContext&)
{
}

void GcGraphicItem::draw_normal(const GcPaintContext&)
{
}

void GcGraphicItem::draw_blink_in(const GcPaintContext&)
{
}

void GcGraphicItem::draw_blink_out(const GcPaintContext&)
{
}


void GcGraphicItem::draw_inactive(const GcPaintContext&)
{
}

void GcGraphicItem::draw_invisible(const GcPaintContext&)
{
}


void GcGraphicItem::draw_deg_info(const GcPaintContext&)
{
}

void GcGraphicItem::draw_dbg_bounding_box(const GcPaintContext&)
{
}

GC_OBJ_MON_DEFINE(GcGraphicItem)
